%define api_version 1.0
%define pkg_name geronimo-jaspic_%{api_version}_spec
Name:          geronimo-jaspic-spec
Version:       1.1
Release:       %mkrel 14
Group:         Development/Java
Summary:       Java Authentication SPI for Containers
License:       ASL 2.0 and W3C
URL:           http://geronimo.apache.org/
Source0:       http://repo2.maven.org/maven2/org/apache/geronimo/specs/%{pkg_name}/%{version}/%{pkg_name}-%{version}-source-release.tar.gz

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: geronimo-osgi-support
BuildRequires: geronimo-parent-poms
BuildRequires: jpackage-utils

Provides:      javax.security.auth.message

%description
Java Authentication Service Provider Interface for Containers (JSR-196) api.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
%{summary}.


%prep
%setup -q -n %{pkg_name}-%{version}

for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done

%pom_xpath_remove "pom:parent"
%pom_xpath_inject "pom:project" "
    <parent>
      <groupId>org.apache.geronimo.specs</groupId>
      <artifactId>specs</artifactId>
      <version>any</version>
    </parent>"

%build
%mvn_file  : %{name}
%mvn_alias : org.eclipse.jetty.orbit:javax.security.auth.message
%mvn_build

%install
%mvn_install

install -d -m 755 %{buildroot}%{_javadir}/javax.security.auth.message/
ln -sf ../%{name}.jar %{buildroot}%{_javadir}/javax.security.auth.message/

%files -f .mfiles
%doc LICENSE NOTICE
%{_javadir}/javax.security.auth.message/

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.1-14.mga6
+ Revision: 982275
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.1-13.mga6
+ Revision: 976279
- First rebuild of the java stack
- sync package geronimo-jaspic-spec with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-12.mga5
+ Revision: 743171
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Jan 03 2014 dmorgan <dmorgan> 1.1-10.mga4
+ Revision: 564129
- Add javax.security.auth.message provides and directory

* Sat Oct 19 2013 umeabot <umeabot> 1.1-9.mga4
+ Revision: 535826
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 dmorgan <dmorgan> 1.1-8.mga4
+ Revision: 482649
- Rebuild against new javapackages

* Sat Jul 13 2013 dmorgan <dmorgan> 1.1-7.mga4
+ Revision: 453594
- Rebuild with fixed xmvn
- Add demap for org.eclipse.jetty.orbit:javax.security.auth.message

* Sat Jan 12 2013 umeabot <umeabot> 1.1-5.mga3
+ Revision: 351446
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.1-4.mga3
+ Revision: 292934
- Add geronimo-osgi-support as BuildRequire

* Sun Jul 01 2012 dmorgan <dmorgan> 1.0-2.mga3
+ Revision: 266324
- Obsolete old package

* Sat Jun 30 2012 dmorgan <dmorgan> 1.0-1.mga3
+ Revision: 265364
- imported package geronimo-jaspic-spec


* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 19 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0-1
- Initial package (based on Mageia version)
